## org.apache.poi.hssf.record
Class StyleRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.StyleRecord

public class StyleRecord
extends Record

Title: Style Record

Description: Describes a builtin to the gui or user defined style

REFERENCE: PG 390 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org), aviks : string fixes for UserDefined Style

Field Summary
`static short` `sid`
`static short` `STYLE_BUILT_IN`
`static short` `STYLE_USER_DEFINED`

Constructor Summary
`StyleRecord()`
`StyleRecord(short id, short size, byte[] data)` Constructs a Style record and sets its fields appropriately.
`StyleRecord(short id, short size, byte[] data, int offset)` Constructs a Style record and sets its fields appropriately.

Method Summary
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`byte` `getBuiltin()` if this is a builtin style get the number of the built in style
`short` `getIndex()` get the entire index field (including the type) (see bit getters that reference this method)
`java.lang.String` `getName()` get the style's name
`short` `getNameLength()` if this is a user defined record get the length of the style name
`byte` `getOutlineStyleLevel()` get the row or column level of the style (if builtin 1||2)
`int` `getRecordSize()` gives the current serialized size of the record.
`short` `getSid()` return the non static version of the id for this record.
`short` `getType()` get the type of the style (builtin or user-defined)
`short` `getXFIndex()` get the actual index of the style extended format record
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setBuiltin(byte builtin)` if this is a builtin style set teh number of the built in style
`void` `setIndex(short index)` set the entire index field (including the type) (see bit setters that reference this method)
`void` `setName(java.lang.String name)` set the style's name
`void` `setNameLength(byte length)` if this is a user defined record set the length of the style name
`void` `setOutlineStyleLevel(byte level)` set the row or column level of the style (if builtin 1||2)
`void` `setType(short type)` set the type of the style (builtin or user-defined)
`void` `setXFIndex(short index)` set the actual index of the style extended format record
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### STYLE_USER_DEFINED

    public static final short STYLE_USER_DEFINED

See Also:
  Constant Field Values

### STYLE_BUILT_IN

    public static final short STYLE_BUILT_IN

See Also:
  Constant Field Values

Constructor Detail

### StyleRecord

    public StyleRecord()

### StyleRecord

    public StyleRecord(short id,
                       short size,
                       byte[] data)

  Constructs a Style record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x293 or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### StyleRecord

    public StyleRecord(short id,
                       short size,
                       byte[] data,
                       int offset)

  Constructs a Style record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x293 or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` -

Method Detail

### validateSid

    protected void validateSid(short id)

  Description copied from class: `Record`
  called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - alleged id for this record

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### setIndex

    public void setIndex(short index)

  set the entire index field (including the type) (see bit setters that reference this method)

  Parameters:
    `index` - bitmask

### setType

    public void setType(short type)

  set the type of the style (builtin or user-defined)

  Parameters:
    `type` - of style (userdefined/builtin)
  See Also:
    `STYLE_USER_DEFINED`, `STYLE_BUILT_IN`, `setIndex(short)`

### setXFIndex

    public void setXFIndex(short index)

  set the actual index of the style extended format record

  Parameters:
    `index` - of the xf record
  See Also:
    `setIndex(short)`

### setNameLength

    public void setNameLength(byte length)

  if this is a user defined record set the length of the style name

  Parameters:
    `length` - of the style's name
  See Also:
    `setName(String)`

### setName

    public void setName(java.lang.String name)

  set the style's name

  Parameters:
    `name` - of the style
  See Also:
    `setNameLength(byte)`

### setBuiltin

    public void setBuiltin(byte builtin)

  if this is a builtin style set teh number of the built in style

  Parameters:
    `builtin` - style number (0-7)

### setOutlineStyleLevel

    public void setOutlineStyleLevel(byte level)

  set the row or column level of the style (if builtin 1||2)

### getIndex

    public short getIndex()

  get the entire index field (including the type) (see bit getters that reference this method)

  Returns:
    bitmask

### getType

    public short getType()

  get the type of the style (builtin or user-defined)

  Returns:
    type of style (userdefined/builtin)
  See Also:
    `STYLE_USER_DEFINED`, `STYLE_BUILT_IN`, `getIndex()`

### getXFIndex

    public short getXFIndex()

  get the actual index of the style extended format record

  Returns:
    index of the xf record
  See Also:
    `getIndex()`

### getNameLength

    public short getNameLength()

  if this is a user defined record get the length of the style name

  Returns:
    length of the style's name
  See Also:
    `getName()`

### getName

    public java.lang.String getName()

  get the style's name

  Returns:
    name of the style
  See Also:
    `getNameLength()`

### getBuiltin

    public byte getBuiltin()

  if this is a builtin style get the number of the built in style

  Returns:
    builtin style number (0-7)

### getOutlineStyleLevel

    public byte getOutlineStyleLevel()

  get the row or column level of the style (if builtin 1||2)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Description copied from class: `Record`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

Copyright © 2003 Apache Software Foundation.